package io.zipcoder.polymorphism;

import java.util.ArrayList;
import java.util.InputMismatchException;
import java.util.Scanner;

public class Console {

    static ArrayList<Pet> pets = new ArrayList<Pet>();

    public static void getInformation(){
        String type = getPetType();
        String name = getName(type);
        int age = getAge(name);
        createNewPet(type, name, age);
    }

    public static int getAmountOfPets(){
        Scanner scanner = new Scanner(System.in);
        System.out.println("How many pets do you have?");
        try{
            int numOfPets = scanner.nextInt();
            return numOfPets;
        }catch (InputMismatchException E){
            System.out.println("Not a number, try again.");
            getAmountOfPets();
            return 0;
        }
    }

    public static String getPetType(){
        Scanner scanner = new Scanner(System.in);
        System.out.println("What kind of pet?");
        String petType = scanner.nextLine();
        return petType;
    }

    public static int getAge(String name){
        Scanner scanner = new Scanner(System.in);
        System.out.println("How old is " + name + "?");
        int petAge = scanner.nextInt();
        return petAge;
    }

    public static String getName(String type){
        Scanner scanner = new Scanner(System.in);
        System.out.println("Whats your " + type + "'s name?");
        String petName = scanner.nextLine();
        return petName;
    }

    public static void petForLoop(int numOfPets){
        for(int i = 0; i < numOfPets; i++){
            getInformation();
        }
    }

    public static void createNewPet(String petType, String name, int age){
        if(petType.equalsIgnoreCase("Dog")){
            pets.add(new Dog(name, age));
        }else if(petType.equalsIgnoreCase("Cat")){
            pets.add(new Cat(name, age));
        }else if(petType.equalsIgnoreCase("Horse")){
            pets.add(new Horse(name, age));
        }
    }

    public static void petList(){
        for (Pet pet: pets) {
            System.out.println("Your " + pet.getClass().getSimpleName() + " is named " + pet.getName() + " says " + pet.speak() + " and is " + pet.getAge() + " year old.");
        }
    }

}
